### Constructor

# GdkPixbuf PixbufAnimation new_from_resource

deprecated: 2.44 since: 2.28

#### Declaration [src]

    GdkPixbufAnimation*
    gdk_pixbuf_animation_new_from_resource (
      const char* resource_path,
      GError** error
    )

#### Description [src]

Creates a new pixbuf animation by loading an image from an resource.

The file format is detected automatically. If `NULL` is returned, then `error` will be set.

Available since: 2.28

Deprecated since: 2.44

Use a different image loading library for animatable assets.

#### Parameters

`resource_path`

  Type: `const char*`

  The path of the resource file.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GdkPixbufAnimation`

A newly-created animation.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.